Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplRepoC.i File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | _IMPLEMENTATIONREPOSITORY_SERVEROBJECT___CI_
#define | __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CI_
#define | _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CI_
#define | __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CI_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CI_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION___CI_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR___CI_
## Functions
ACE_INLINE ImplementationRepository::ServerObject_ptr | tao_ImplementationRepository_ServerObject_duplicate ( ImplementationRepository::ServerObject_ptr p )
ACE_INLINE void | tao_ImplementationRepository_ServerObject_release ( ImplementationRepository::ServerObject_ptr p )
ACE_INLINE ImplementationRepository::ServerObject_ptr | tao_ImplementationRepository_ServerObject_nil ( void )
ACE_INLINE ImplementationRepository::ServerObject_ptr | tao_ImplementationRepository_ServerObject_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_ImplementationRepository_ServerObject_upcast ( void *src )
ACE_INLINE ImplementationRepository::Administration_ptr | tao_ImplementationRepository_Administration_duplicate ( ImplementationRepository::Administration_ptr p )
ACE_INLINE void | tao_ImplementationRepository_Administration_release ( ImplementationRepository::Administration_ptr p )
ACE_INLINE ImplementationRepository::Administration_ptr | tao_ImplementationRepository_Administration_nil ( void )
ACE_INLINE ImplementationRepository::Administration_ptr | tao_ImplementationRepository_Administration_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_ImplementationRepository_Administration_upcast ( void *src )
ACE_INLINE ImplementationRepository::ServerInformationIterator_ptr | tao_ImplementationRepository_ServerInformationIterator_duplicate ( ImplementationRepository::ServerInformationIterator_ptr p )
ACE_INLINE void | tao_ImplementationRepository_ServerInformationIterator_release ( ImplementationRepository::ServerInformationIterator_ptr p )
ACE_INLINE ImplementationRepository::ServerInformationIterator_ptr | tao_ImplementationRepository_ServerInformationIterator_nil ( void )
ACE_INLINE ImplementationRepository::ServerInformationIterator_ptr | tao_ImplementationRepository_ServerInformationIterator_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_ImplementationRepository_ServerInformationIterator_upcast ( void *src )

## Define Documentation

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION___CI_

#define _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CI_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR___CI_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CI_

#define _IMPLEMENTATIONREPOSITORY_SERVEROBJECT___CI_

#define __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CI_

#define __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CI_

## Function Documentation

ACE_INLINE ImplementationRepository::Administration_ptr tao_ImplementationRepository_Administration_duplicate ( | ImplementationRepository::Administration_ptr p )

ACE_INLINE ImplementationRepository::Administration_ptr tao_ImplementationRepository_Administration_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE ImplementationRepository::Administration_ptr tao_ImplementationRepository_Administration_nil ( | void )

ACE_INLINE void tao_ImplementationRepository_Administration_release ( | ImplementationRepository::Administration_ptr p )

ACE_INLINE CORBA::Object * tao_ImplementationRepository_Administration_upcast ( | void * src )

ACE_INLINE ImplementationRepository::ServerInformationIterator_ptr tao_ImplementationRepository_ServerInformationIterator_duplicate ( | ImplementationRepository::ServerInformationIterator_ptr p )

ACE_INLINE ImplementationRepository::ServerInformationIterator_ptr tao_ImplementationRepository_ServerInformationIterator_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE ImplementationRepository::ServerInformationIterator_ptr tao_ImplementationRepository_ServerInformationIterator_nil ( | void )

ACE_INLINE void tao_ImplementationRepository_ServerInformationIterator_release ( | ImplementationRepository::ServerInformationIterator_ptr p )

ACE_INLINE CORBA::Object * tao_ImplementationRepository_ServerInformationIterator_upcast ( | void * src )

ACE_INLINE ImplementationRepository::ServerObject_ptr tao_ImplementationRepository_ServerObject_duplicate ( | ImplementationRepository::ServerObject_ptr p )

ACE_INLINE ImplementationRepository::ServerObject_ptr tao_ImplementationRepository_ServerObject_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE ImplementationRepository::ServerObject_ptr tao_ImplementationRepository_ServerObject_nil ( | void )

ACE_INLINE void tao_ImplementationRepository_ServerObject_release ( | ImplementationRepository::ServerObject_ptr p )

ACE_INLINE CORBA::Object * tao_ImplementationRepository_ServerObject_upcast ( | void * src )